/**
 * Square Connect API
 * Client library for accessing the Square Connect APIs
 *
 * OpenAPI spec version: 2.0
 * Contact: developers@squareup.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.3.0-SNAPSHOT
 *
 */
var ApiClient = require('../ApiClient');




/**
 * The SearchOrdersStateFilter model module.
 * @module model/SearchOrdersStateFilter
 */

/**
 * Constructs a new <code>SearchOrdersStateFilter</code>.
 * Filter by current Order &#x60;state&#x60;.
 * @alias module:model/SearchOrdersStateFilter
 * @class
 * @param states {Array.<module:model/SearchOrdersStateFilter.StatesEnum>} States to filter for. See [OrderState](#type-orderstate) for possible values
 */
var exports = function(states) {
  var _this = this;

  _this['states'] = states;
};

/**
 * Constructs a <code>SearchOrdersStateFilter</code> from a plain JavaScript object, optionally creating a new instance.
 * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
 * @param {Object} data The plain JavaScript object bearing properties of interest.
 * @param {module:model/SearchOrdersStateFilter} obj Optional instance to populate.
 * @return {module:model/SearchOrdersStateFilter} The populated <code>SearchOrdersStateFilter</code> instance.
 */
exports.constructFromObject = function(data, obj) {
  if (data) {
    obj = obj || new exports();

      if (data.hasOwnProperty('states')) {
      obj['states'] = ApiClient.convertToType(data['states'], ['String']);
    }
    }
  return obj;
}

/**
 * States to filter for. See [OrderState](#type-orderstate) for possible values
 * @member {Array.<module:model/SearchOrdersStateFilter.StatesEnum>} states
 */
exports.prototype['states'] = undefined;


  /**
   * Allowed values for the <code>states</code> property.
   * @enum {String}
   * @readonly
   */
  exports.StatesEnum = {
    /**
     * value: "OPEN"
     * @const
     */
    "OPEN": "OPEN",
    /**
     * value: "COMPLETED"
     * @const
     */
    "COMPLETED": "COMPLETED",
    /**
     * value: "CANCELED"
     * @const
     */
    "CANCELED": "CANCELED"  };


module.exports = exports;



