/**
 * Square Connect API
 * Client library for accessing the Square Connect APIs
 *
 * OpenAPI spec version: 2.0
 * Contact: developers@squareup.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.3.0-SNAPSHOT
 *
 */
var ApiClient = require('../ApiClient');
var V1Money = require('./V1Money');




/**
 * The V1CashDrawerEvent model module.
 * @module model/V1CashDrawerEvent
 */

/**
 * Constructs a new <code>V1CashDrawerEvent</code>.
 * V1CashDrawerEvent
 * @alias module:model/V1CashDrawerEvent
 * @class
 */
var exports = function() {
  var _this = this;







};

/**
 * Constructs a <code>V1CashDrawerEvent</code> from a plain JavaScript object, optionally creating a new instance.
 * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
 * @param {Object} data The plain JavaScript object bearing properties of interest.
 * @param {module:model/V1CashDrawerEvent} obj Optional instance to populate.
 * @return {module:model/V1CashDrawerEvent} The populated <code>V1CashDrawerEvent</code> instance.
 */
exports.constructFromObject = function(data, obj) {
  if (data) {
    obj = obj || new exports();

      if (data.hasOwnProperty('id')) {
      obj['id'] = ApiClient.convertToType(data['id'], 'String');
    }
      if (data.hasOwnProperty('employee_id')) {
      obj['employee_id'] = ApiClient.convertToType(data['employee_id'], 'String');
    }
      if (data.hasOwnProperty('event_type')) {
      obj['event_type'] = ApiClient.convertToType(data['event_type'], 'String');
    }
      if (data.hasOwnProperty('event_money')) {
      obj['event_money'] = V1Money.constructFromObject(data['event_money']);
    }
      if (data.hasOwnProperty('created_at')) {
      obj['created_at'] = ApiClient.convertToType(data['created_at'], 'String');
    }
      if (data.hasOwnProperty('description')) {
      obj['description'] = ApiClient.convertToType(data['description'], 'String');
    }
    }
  return obj;
}

/**
 * The event's unique ID.
 * @member {String} id
 */
exports.prototype['id'] = undefined;
/**
 * The ID of the employee that created the event.
 * @member {String} employee_id
 */
exports.prototype['employee_id'] = undefined;
/**
 * The type of event that occurred. See [V1CashDrawerEventEventType](#type-v1cashdrawereventeventtype) for possible values
 * @member {module:model/V1CashDrawerEvent.EventTypeEnum} event_type
 */
exports.prototype['event_type'] = undefined;
/**
 * The amount of money that was added to or removed from the cash drawer because of the event. This value can be positive (for added money) or negative (for removed money).
 * @member {module:model/V1Money} event_money
 */
exports.prototype['event_money'] = undefined;
/**
 * The time when the event occurred, in ISO 8601 format.
 * @member {String} created_at
 */
exports.prototype['created_at'] = undefined;
/**
 * An optional description of the event, entered by the employee that created it.
 * @member {String} description
 */
exports.prototype['description'] = undefined;


  /**
   * Allowed values for the <code>event_type</code> property.
   * @enum {String}
   * @readonly
   */
  exports.EventTypeEnum = {
    /**
     * value: "NO_SALE"
     * @const
     */
    "NO_SALE": "NO_SALE",
    /**
     * value: "CASH_TENDER_PAYMENT"
     * @const
     */
    "CASH_TENDER_PAYMENT": "CASH_TENDER_PAYMENT",
    /**
     * value: "OTHER_TENDER_PAYMENT"
     * @const
     */
    "OTHER_TENDER_PAYMENT": "OTHER_TENDER_PAYMENT",
    /**
     * value: "CASH_TENDER_CANCELED_PAYMENT"
     * @const
     */
    "CASH_TENDER_CANCELED_PAYMENT": "CASH_TENDER_CANCELED_PAYMENT",
    /**
     * value: "OTHER_TENDER_CANCELED_PAYMENT"
     * @const
     */
    "OTHER_TENDER_CANCELED_PAYMENT": "OTHER_TENDER_CANCELED_PAYMENT",
    /**
     * value: "CASH_TENDER_REFUND"
     * @const
     */
    "CASH_TENDER_REFUND": "CASH_TENDER_REFUND",
    /**
     * value: "OTHER_TENDER_REFUND"
     * @const
     */
    "OTHER_TENDER_REFUND": "OTHER_TENDER_REFUND",
    /**
     * value: "PAID_IN"
     * @const
     */
    "PAID_IN": "PAID_IN",
    /**
     * value: "PAID_OUT"
     * @const
     */
    "PAID_OUT": "PAID_OUT"  };


module.exports = exports;



